in scala.xml.dtd
class DocType

`case class` DocType
  `extends` java.lang.Object
  `with` scala.ScalaObject
  `with` scala.Product3[java.lang.String, scala.xml.dtd.ExternalID, scala.Seq[scala.xml.dtd.Decl]]

  an XML node for document type declaration

Author:
  Burak Emir
Parameters:
  `target -` name of this DOCTYPE
Parameters:
  `extID -` None, or Some(external ID of this doctype)
Parameters:
  `intSubset -` sequence of internal subset declarations

Constructor Summary
| `def` this (name: java.lang.String, extID: scala.xml.dtd.ExternalID, intSubset: scala.Seq[scala.xml.dtd.Decl])

Val Summary
| `val` extID : scala.xml.dtd.ExternalID
| `val` intSubset : scala.Seq[scala.xml.dtd.Decl]
| `val` name : java.lang.String

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` _1 : java.lang.String
`final` `override` | `def` _2 : scala.xml.dtd.ExternalID
`final` `override` | `def` _3 : scala.Seq[scala.xml.dtd.Decl]
`override` | `def` equals (x$1: scala.Any) : scala.Boolean
`final` `override` | `def` hashCode : scala.Int hashcode for this processing instruction
`final` `override` | `def` productPrefix : java.lang.String
`final` `override` | `def` toString : java.lang.String returns "<!DOCTYPE + name + extID? + ("["+intSubSet+"]")? >"

Constructor Detail

`def` this (name: java.lang.String, extID: scala.xml.dtd.ExternalID, intSubset: scala.Seq[scala.xml.dtd.Decl])

Val Detail

`val` extID : scala.xml.dtd.ExternalID

`val` intSubset : scala.Seq[scala.xml.dtd.Decl]

`val` name : java.lang.String

Def Detail

`final override def` $tag : scala.Int

`final override def` _1 : java.lang.String

`final override def` _2 : scala.xml.dtd.ExternalID

`final override def` _3 : scala.Seq[scala.xml.dtd.Decl]

`override def` equals (x$1: scala.Any): scala.Boolean

`final override def` hashCode : scala.Int

  hashcode for this processing instruction

`final override def` productPrefix : java.lang.String

`final override def` toString : java.lang.String

  returns "<!DOCTYPE + name + extID? + ("["+intSubSet+"]")? >"